{% comment %}

Fichier correspondant au formulaire de réservation à imprimer.

{% endcomment %}
{% load i18n %}
{% load static %}
<!DOCTYPE html>
<html lang="fr">
<head>
    <title>Resa &bull; {% translate 'Fiche de location' %}</title>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

    <link rel="icon" type="image/png" href={% static 'logo-bde-square-favicon.png' %}>

    {% block style %}
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css"
              integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N"
              crossorigin="anonymous">
        <link rel="stylesheet" href="{% static 'default_style.css' %}">
    {% endblock style %}
</head>
<body>
<div class="container">
    <h1>
        <img class="logo-title" src="{% static 'logo-bde-black-form.png' %}" alt="Logo BdE">
        {% translate 'Fiche de location' %}
        <small>{{ category }}</small>
    </h1>

    {% if booking.contact_asso %}
        <div class="row">
            <div class="col-lg-12">
                <div class="card bg-light">
                    <div class="card-header">
                        <h3 class="card-title text-center">
                            <span class="fa-solid fa-briefcase"></span> {{ booking.contact_asso }}
                        </h3>
                    </div>
                </div>
            </div>
        </div>
    {% endif %}

    <a href="javascript:if(window.print)window.print()" class="btn btn-lg btn-primary d-print-none">Imprimer</a>
    <div class="row">
        <div class="col-md-4">
            <div class="card card-light">
                <div class="card-header">
                    <h3 class="card-title">
                        <span class="fa-solid fa-rectangle-list"></span> {% translate 'Contact' %}
                    </h3>
                </div>
                <div class="list-group">
                    <div class="list-group-item">
                        <span class="fa-solid fa-user"></span> {{ booking.contact_full_name }}
                    </div>
                    <div class="list-group-item">
                        <span class="fa-solid fa-envelope"></span> {{ booking.contact_email }}
                    </div>
                    <div class="list-group-item">
                        <span class="fa-solid fa-phone"></span> {{ booking.contact_phone }}
                    </div>
                    <div class="list-group-item">
                        <span class="fa-solid fa-circle-info"></span> {{ booking.reason }}
                    </div>
                    {% if booking.details %}
                        <div class="list-group-item">
                            <span class="fa-solid fa-message"></span> {{ booking.details|linebreaks }}
                        </div>
                    {% endif %}
                </div>
            </div>
        </div>
        <div class="col-md-8">
            <div class="card card-light">
                <div class="card-header">
                    <h3 class="card-title">
                        <span class="fa-solid fa-rectangle-list"></span> {% translate "Dates" %}
                    </h3>
                </div>
                <div class="list-group">
                    <div class="list-group-item">
                        <span class="fa-solid fa-floppy-disk"></span>
                        Réservation {{ occurrence.created_at|date:"SHORT_DATETIME_FORMAT" }}
                    </div>
                    <div class="list-group-item">
                        <span class="fa-solid fa-right-from-bracket"></span>
                        Départ {{ occurrence.start|date:"SHORT_DATETIME_FORMAT" }}
                    </div>
                    <div class="list-group-item">
                        <span class="fa-solid fa-right-to-bracket"></span>
                        Retour {{ occurrence.end|date:"SHORT_DATETIME_FORMAT" }}
                    </div>
                </div>
            </div>
        </div>
    </div>

    {% for paragraph in paragraphs %}
        <div class="no-break">
            <h2>{{ paragraph.order_form }}. {{ paragraph.title }}</h2>
            <p>
                {{ paragraph.content }}
            </p>
        </div>
    {% endfor %}


    <div class="no-break">
        <h2>{% translate 'Ressources empruntées' %}</h2>
        <table class="table table-striped table-bordered table-responsive table-text-center">
            <thead>
                <tr>
                    <th scope="col">{% translate 'Matériel' %}</th>
                    <th scope="col">{% translate 'Lieu' %}</th>
                    <th scope="col">{% translate 'Quantité réservée' %}</th>
                    <th scope="col">{% translate 'Quantité départ' %}</th>
                    <th scope="col">{% translate 'Quantité retour' %}</th>
                    <th scope="col">{% translate 'Frais de location' %}</th>
                    <th scope="col">{% translate 'Caution' %}</th>
                    <th scope="col">{% translate "Carte d'étudiant/d'identité" %}</th>
                </tr>
            </thead>
            <tbody>
            {% for booking in occurrence.bookings.all %}
                <tr>
                    <td>{{ booking.resource.name }}</td>
                    <td>{% if booking.resource.place %}{{ booking.resource.place }}{% endif %}</td>
                    <td>{{ booking.count }}</td>
                    <td></td>
                    <td></td>
                    <td>{% widthratio booking.fee 100 1 %} €</td>
                    <td>{% widthratio booking.guarantee 100 1 %} €</td>
                    <td>{% if booking.resource.id_card_guarantee %}{% translate 'Oui' %}{% else %}
                        {% translate 'Non' %}{% endif %}</td>
                </tr>
            {% endfor %}
            <tr class="total">
                <th scope="col"><strong>{% translate 'Total' %}</strong></th>
                <th></th>
                <th></th>
                <th></th>
                <th></th>
                <th>{% widthratio total.fee 100 1 %} €</th>
                <th>{% widthratio total.guarantee 100 1 %} €</th>
                <th></th>
            </tr>
            </tbody>
        </table>
    </div>

    <div class="no-break">
        <h2>{% translate 'État des lieux sortant' %}</h2>
        <div class="row">
            <div class="col-lg-12">
                <div class="card card-light">
                    <div class="card-header">
                        <h3 class="card-title">Commentaires</h3>
                    </div>
                    <div class="card-body inventory">

                    </div>
                </div>
            </div>
        </div>
        <p>
            <input type="checkbox" title="Caution payée"> Caution payée
        </p>
        <p>
            <input type="checkbox" title="Location versée"> Location versée
        </p>
        <div class="row">
            <div class="col-lg-6">
                <div class="card card-light">
                    <div class="card-header">
                        <h3 class="card-title">Étudiant</h3>
                    </div>
                    <div class="card-body signatures">
                        Signature étudiant :
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="card card-light">
                    <div class="card-header">
                        <h3 class="card-title">Permanencier BdE</h3>
                    </div>
                    <div class="card-body signatures-bde">
                        <p>Nom :</p>
                        <p>Signature :</p>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <div class="no-break">
        <h2>{% translate 'État des lieux retour' %}</h2>
        <div class="row">
            <div class="col-lg-12">
                <div class="card card-light">
                    <div class="card-header">
                        <h3 class="card-title">Commentaires</h3>
                    </div>
                    <div class="card-body inventory">

                    </div>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-lg-6">
                <div class="card card-light">
                    <div class="card-header">
                        <h3 class="card-title">Étudiant</h3>
                    </div>
                    <div class="card-body signatures">
                        Signature étudiant :
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="card card-light">
                    <div class="card-header">
                        <h3 class="card-title">Permanencier BdE</h3>
                    </div>
                    <div class="card-body signatures-bde">
                        <p>Nom :</p>
                        <p>Signature :</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>
